Real-time API + pipeline performance metrics
curl --request GET \
--url https://api.ironflow.sh/v1/status/metricsimport requests
url = "https://api.ironflow.sh/v1/status/metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/status/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/status/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/status/metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/status/metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/status/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"timestamp": 1745145533000,
"api": {
"latency_p50_ms": 12.3,
"latency_p99_ms": 87.1,
"error_rate": 0.0012,
"websocket_clients": 47
},
"pipeline": {
"streaming_latency_ms": 220,
"events_per_sec": 13500
},
"synthetic": {
"ws_latency_ms": 41,
"ws_latency_p50_ms": 38,
"query_latencies": {
"fills": 28,
"book": 31,
"candles": 15
}
}
}System
Ironflow API performance metrics
GET /v1/status/metrics returns rolling performance metrics for the Ironflow API: error rate and request latency percentiles over 5 minutes, plus probe samples.
GET
/
v1
/
status
/
metrics
Real-time API + pipeline performance metrics
curl --request GET \
--url https://api.ironflow.sh/v1/status/metricsimport requests
url = "https://api.ironflow.sh/v1/status/metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ironflow.sh/v1/status/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1/status/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1/status/metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1/status/metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1/status/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"timestamp": 1745145533000,
"api": {
"latency_p50_ms": 12.3,
"latency_p99_ms": 87.1,
"error_rate": 0.0012,
"websocket_clients": 47
},
"pipeline": {
"streaming_latency_ms": 220,
"events_per_sec": 13500
},
"synthetic": {
"ws_latency_ms": 41,
"ws_latency_p50_ms": 38,
"query_latencies": {
"fills": 28,
"book": 31,
"candles": 15
}
}
}